scala.collection.immutable

# Range

#### object Range extends Serializable

A companion object for the `Range` class.

Source
  Range.scala

Linear Supertypes
Serializable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Range
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Inclusive extends Range

2. #### class Partial[T, U] extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object BigDecimal

5. #### object BigInt

6. #### object Double

7. #### object Int

8. #### object Long

9. #### def apply(start: Int, end: Int): Range

   Make a range from `start` until `end` (exclusive) with step value 1.

10. #### def apply(start: Int, end: Int, step: Int): Range

    Make a range from `start` until `end` (exclusive) with given step value.

    Make a range from `start` until `end` (exclusive) with given step value.

    Note

      step != 0

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def count(start: Int, end: Int, step: Int): Int

14. #### def count(start: Int, end: Int, step: Int, isInclusive: Boolean): Int

    Counts the number of range elements.

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def inclusive(start: Int, end: Int): Inclusive

    Make an inclusive range from `start` to `end` with step value 1.

21. #### def inclusive(start: Int, end: Int, step: Int): Inclusive

    Make an inclusive range from `start` to `end` with given step value.

    Make an inclusive range from `start` to `end` with given step value.

    Note

      step != 0

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped